#
# Conditional build:
%bcond_without	static_libs	# static libraries build

%define	libver	0.4
Summary:	The Oil Runtime Compiler
Summary(pl.UTF-8):	Oil Runtime Compiler - kompilator zoptymalizowanych pętli wewnętrznych
Name:		orc
Version:	0.4.23
Release:	2
License:	BSD
Group:		Libraries
Source0:	http://gstreamer.freedesktop.org/src/orc/%{name}-%{version}.tar.xz
# Source0-md5:	72e0612ace54d77aa2f7a006348ee81a
URL:		http://code.entropywave.com/projects/orc/
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake >= 1:1.11
BuildRequires:	gtk-doc >= 1.12
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	which
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Orc is a library and set of tools for compiling and executing very
simple programs that operate on arrays of data. The "language" is a
generic assembly language that represents many of the features
available in SIMD architectures, including saturated addition and
subtraction, and many arithmetic operations.

%description -l pl.UTF-8
Orc to biblioteka i zestaw narzędzi do kompilowania i wykonywania
bardzo prostych programów operujących na tablicach danych. "Język" to
ogólny asembler reprezentujący wiele możliwości dostępnych w
architekturach SIMD, w tym ograniczone dodawanie i odejmowanie oraz
wiele operacji arytmetycznych.

%package devel
Summary:	Header files for orc library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki orc
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for orc library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki orc.

%package static
Summary:	Static orc library
Summary(pl.UTF-8):	Statyczna biblioteka orc
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static orc library.

%description static -l pl.UTF-8
Statyczna biblioteka orc.

%prep
%setup -q

%{__rm} m4/libtool.m4 m4/lt*.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_static_libs:--enable-static} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README TODO
%attr(755,root,root) %{_bindir}/orc-bugreport
%attr(755,root,root) %{_bindir}/orcc
%attr(755,root,root) %{_libdir}/liborc-%{libver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liborc-%{libver}.so.0
%attr(755,root,root) %{_libdir}/liborc-test-%{libver}.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liborc-test-%{libver}.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liborc-%{libver}.so
%attr(755,root,root) %{_libdir}/liborc-test-%{libver}.so
%{_libdir}/liborc-%{libver}.la
%{_libdir}/liborc-test-%{libver}.la
%{_includedir}/orc-%{libver}
%{_pkgconfigdir}/orc-%{libver}.pc
%{_aclocaldir}/orc.m4
%{_gtkdocdir}/orc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/liborc-%{libver}.a
%{_libdir}/liborc-test-%{libver}.a
%endif
%changelog
* Wed May 27 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/orc.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 4b24e92
- x32 rebuild
- release 2 (by relup.sh)

* Sat Dec 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 11617e7
- updated to 0.4.23

* Sat Aug 30 2014 Jakub Bogusz <qboosh@pld-linux.org> ce94288
- updated to 0.4.22

* Tue Jun 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 533270f
- updated to 0.4.21

* Sun Apr 20 2014 Jakub Bogusz <qboosh@pld-linux.org> 7de8e61
- new Source0 URL (development continued in gstreamer project), updated to 0.4.19

* Mon Aug 26 2013 Jakub Bogusz <qboosh@pld-linux.org> b66a628
- updated to 0.4.18
- removed obsolete am patch

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> 4a739f6
- release 2 (by relup.sh)

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> bdedf37
- updated to 0.4.17
- added am patch (fixes build with automake 1.13)

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> c35471b
- release 2

* Tue Oct 11 2011 Jakub Bogusz <qboosh@pld-linux.org> fb7a89b
- updated to 0.4.16

* Sat Apr 30 2011 Jakub Bogusz <qboosh@pld-linux.org> faa8c8d
- updated to 0.4.14

* Wed Apr 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 31855d1
- updated to 0.4.13
- removed obsolete build patch

* Fri Apr 15 2011 Caleb Maclennan <caleb@alerque.com> dcb0d5d
- Up to 0.4.12

* Sat Oct 23 2010 Jakub Bogusz <qboosh@pld-linux.org> 8291225
- cleanup (examples no longer packaged)

* Fri Oct 22 2010 Caleb Maclennan <caleb@alerque.com> 5e1bc04
- Up to 0.4.11

* Thu Sep 02 2010 Jakub Bogusz <qboosh@pld-linux.org> c66f171
- updated to 0.4.8
- pl
- added COPYING to doc (specifies BSD license holder and details)

* Tue Aug 24 2010 Elan Ruusamäe <glen@pld-linux.org> 37ec41b
- release 2

* Tue Aug 24 2010 Elan Ruusamäe <glen@pld-linux.org> c069ed0
- remove libtool m4 copies

* Tue Aug 24 2010 Patryk Zawadzki <patrys@room-303.com> 213c1e0
- 0.4.7

* Mon Mar 15 2010 sparky <sparky@pld-linux.org> d01ad79
- BR: autoconf, automake, gtk-doc, libtool, pkgconfig, which
- asciize %description
- define libver macro to assure correct %files

